!-----------------------------------------------------------------------
!  ALAD_ELIM -- FETCH ENERGY LIMITS OF CROSS SECTION FIT
!
SUBROUTINE ALAD_ELIM(ZEMIN,ZEMAX,IER)
  use iso_c_binding, only: fp => c_double
  use alpcom_mod
  use alcom_mod
  implicit none
!
!  OUTPUT
!   ZEMIN = LOWER LIMIT OF FIT, EV/AMU
!   ZEMAX = UPPER LIMIT OF FIT, EV/AMU
!
!   IER   = 0 IF SUCCESSFUL RETURNING THE FIT LIMITS
!
!-------------------------------------------------------------------
!
  integer ier
  real(fp) ZEMIN,ZEMAX
!
  IER=0
!
  IF(BL(NBL) .EQ. '#MEWE') THEN
     ZEMIN=0.0_fp
     ZEMAX=1.e+38_fp
  ELSE IF(BL(NBL) .EQ. '#BELI') THEN
     ZEMIN=CF(1)
     ZEMAX=1.e+38_fp
  ELSE IF(BL(NBL) .EQ. '#CHEB') THEN
     ZEMIN=CF(10)
     ZEMAX=CF(11)
  ELSE IF(BL(NBL) .EQ. '#KINGEX') THEN
     ZEMIN=CF(2)
     ZEMAX=CF(3)
  ELSE IF(BL(NBL) .EQ. '#JAN1') THEN
     ZEMIN=CF(1)*1.e-3_fp
     ZEMAX=CF(2)*1.e-3_fp
  ELSE
     WRITE(LUTOUT,&
          '(/'' ALAD_ELIM:  EVALUATION LIMITS NOT AVAILABLE'')')
     IER=1
  ENDIF
!
!------------------------------------
!
  RETURN
!
END SUBROUTINE ALAD_ELIM
